Classroom Session
Classroom Session List
Use this API to get a list of all classroom sessions for a trainee.
GET /classroom-session/{userId}/trainee-detail Try now
Path parameters
| Field | Type | Description |
|---|---|---|
| userId required | integer | A single user ID |
Query string parameters
| Field | Type | Description |
|---|---|---|
| type required | integer | 1 - upcoming, 2 - concluded, 3 - library, 4 - supervisor-enrollmentRequests, 5 - supervisor-nominate, 6 - nominated |
| firstRecord required | integer | First record to return. Default: 1 |
| count required | integer | Number of records to be returned from the first record Default: 20, Max count limit: 50 |
For general error details, click here.
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"classroomSessionList": [
{
"classroomSessionId": 52,
"title": "Time Management",
"description": "<p>Classroom session on Time Management</p>",
"code": "TM101",
"sessionName": "Session 1",
"facultyName": "Prabhakar Mistry",
"occurrenceType": "Once",
"enrollmentProcessKey": 4,
"enrollmentProcess": "Admin/Manager/Trainer Enrolls",
"timezone": "Asia/Calcutta",
"startDate": "2023-08-18",
"startTime": "04:30 PM",
"endTime": "05:30 PM",
"duration": 60,
"attendanceStatus": null,
"venue": {
"venueId": 2,
"title": "Hotel Lotus",
"description": "1st Floor, Headquarters, Mumbai"
},
"certificate": null
}
],
"totalRecords": 1
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| classroomSessionList | array | List of classroom sessions. |
| classroomSessionId | number | ID of the classroom session. |
| title | string | Title of the session. |
| description | string | Description of the session. |
| code | string | Code of the session. |
| sessionName | string | Name of the session. |
| facultyName | string | Name of the faculty. |
| occurrenceType | string | Type of occurrence. |
| enrollmentProcessKey | number | Key for enrollment process. |
| enrollmentProcess | string | Enrollment process description. |
| timezone | string | Timezone of the session. |
| startDate | string | Start date of the session. |
| startTime | string | Start time of the session. |
| endTime | string | End time of the session. |
| duration | number | Duration of the session. |
| attendanceStatus | null | Attendance status (nullable). |
| venue | object | Venue details. |
| venue.venueId | number | ID of the venue. |
| venue.title | string | Title of the venue. |
| venue.description | string | Description of the venue. |
| certificate | null | Certificate details (nullable). |
| totalRecords | number | Total number of records. |
| Code | Description |
|---|---|
| 1003 | "Missing type" |
| 1004 | "Invalid type" |
| 1005 | "Invalid firstRecord" |
| 1006 | "Invalid count" |
Enroll In Classroom Session
Use this API to enroll a trainee into classroom session or send enrollment request.
GET /classroom-session/{classroomSessionId}/request Try now
Path parameters
| Field | Type | Description |
|---|---|---|
| classroomSessionId required | integer | A classroom session ID |
Query string parameters
| Field | Type | Description |
|---|---|---|
| type required | integer | 1 - enrollment request, 2 - enrollment |
For general error details, click here.
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"message": "Enrollment request has been successfully sent"
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| acknowledgement | string | Acknowledgement status. |
| data | object | Data details. |
| message | string | Message indicating the enrollment status. |
| Code | Description |
|---|---|
| 1001 | "Missing type" |
| 1003 | "Invalid type" |
Classroom Session - Enrollment of Team Members
Use this API to get list of your Team members, accept or reject enrollment request of Team members, nominate Team members, send enrollment request for nomination of Team members.
POST /classroom-session/trainee-common-action Try now
Query string parameters
| Field | Type | Description |
|---|---|---|
| type required | integer | 1 - requested list of user, 2 - approve/reject, 3 - team member for nominate, 4 - nominated members, 5 - send enrollment request for nomination |
| actionData required | jsonArray |
|
For general error details, click here.
- actionData
{
"classroomSessionId":53,
"requestIds":[12],
"action":"approve"
}
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": [
{
"requestId": 6,
"userName": "John Doe",
"email": "john.doe@example.com",
"status": "APPROVED"
}
],
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| requestId | string | Enrollment request ID |
| userName | object | Trainee Name |
| string | Trainee Email Address | |
| status | string | Enrollment status |
| Code | Description |
|---|---|
| 1003 | "Missing type" |
| 1004 | "Invalid type" |
| 1008 | "Missing actionData" |
| 1009 | "Invalid actionData" |
| 1010 | "Missing classroomSessionId" |
| 1011 | "Invalid classroomSessionId" |
| 1007 | "Eligiblity issues." |
| 1012 | "Seats are occupied." |